आरवीएम रूबी संस्करण और रेल सर्वर विभिन्न रूबी संस्करण - रूबी, आरवीएम

ऐसा लगता है कि रेल सर्वर विभिन्न ruby ​​का उपयोग करता है तो वह आरवीएम द्वारा स्थापित किया जाता है।

रेल सर्वर सर्वर कमांड को आरवीएम में सेट अप के रूप में एक ही रूबी का उपयोग कैसे करें?

जब मैं रेल सर्वर शुरू करता हूं, (कंसोल में रेल सर्वर लिखें) यह आउटपुट करता है रूबी संस्करण के लिए रूबी 1.8.7। लेकिन जब मैं लिखता हूं

 `ruby -v`

रूबी संस्करण देखने के लिए, मुझे रूबी संस्करण के लिए रूबी 1.9.3 पी 0 मिलता है। इसके अलावा मैंने आरवीएम स्थापित किया है और जब मैं टाइप करता हूं

rvm list

यह लौटाता है कि मैं रूबी-1.9 का उपयोग कर रहा हूं।3-पी 286, इसलिए आरवीएम रेल सर्वर की तुलना में विभिन्न रूबी संस्करण का उपयोग करता है। मुझे रूबी-1.9.3 के साथ रेल सर्वर शुरू करने में सक्षम होना चाहिए। सबसे पहले मैंने रूबी 1.8.7 स्थापित किया है कि मैंने आरवीएम स्थापित किया है, इसलिए मैं ruby-1.9.3 का उपयोग कर सकता हूं। लेकिन ऐसा लगता है कि मैं अभी भी रेल सर्वर के साथ इसका उपयोग नहीं कर सकता। धन्यवाद

उत्तर:

जवाब के लिए 0 № 1

ऐप निर्देशिका में .rvmrc फ़ाइल का सबसे आसान तरीका है जहां आप निर्दिष्ट करते हैं कि आप किस रूबी का उपयोग करना चाहते हैं

echo "rvm use 1.9.3" >> .rvmrc

जवाब के लिए 0 № 2

जब आप "रेल सर्वर" कहते हैं, तो आप सर्वर कैसे चला रहे हैं? क्या यह बंडलर के माध्यम से है? या टर्मिनल कमांड के माध्यम से?

मैं प्रत्येक पर विश्वास करता हूँ rvm रूबी संस्करण का अपना बंडलर है (जो आरवीएम से निर्दिष्ट सही रूबी संस्करण का उपयोग करता है)। अगर आप करना चाहते थे rvm install ruby-2.x.x, आप सबसे अधिक संभावना में भाग लेंगे ERROR: Gem bundler is not installed, run "gem install bundler" first। एक बार आप दौड़ चुके हैं bundle exec rails console और कंसोल में हैं, आप चला सकते हैं RUBY_VERSION यह देखने के लिए कि आप कौन सा संस्करण चला रहे हैं।

यदि आप बस कॉल कर रहे हैं rails server, तो आपका पाथ गड़बड़ हो सकता है। आप दौड़ सकते हैं which -a rails निष्पादन योग्य के लिए आपके कंप्यूटर की खोज निर्देशिकाओं की सूची देखने के लिए। यदि आप कुछ ऐसा देखते हैं /usr/bin/rails, तो यह रेल सर्वर संस्करण शायद रूबी के सिस्टम संस्करण का उपयोग करता है। मुझे संदेह है कि क्यों हो सकता है rvm रूबी संस्करण और रेल रूबी संस्करण अलग हैं।


संबंधित सवाल
सबसे लोकप्रिय